import { BaseEnemy, enemyType } from "./BaseEnemy";

export class Small extends BaseEnemy{
    constructor(x:number,y:number){
        super();
        this.x = x;
        this.y = y;
    }

    addToViewPort(){
        var that = this;
        super.addToViewPort();
        that.setBody("63bf2838-f5b8-42b7-8a81-b5a07247920a");
        that.health = 10;
        that.speedY = 1;
        that.speedVector.y = 8;
        that.hitW = 56;
        that.hitH = 50;
        that.enemyType = enemyType.normal;
    }

    updateSelf(){engine.TextField
        super.updateSelf();
        
    }
}